LibreOffice LibreOffice 25.8 SDK C/C++ API Reference

Loading...
Searching...
No Matches
endian.h File Reference
`#include "sal/types.h"`

Go to the source code of this file.

## Macros
#define | OSL_MAKEBYTE(nl, nh)
| Define the platform byte order as OSL_BIGENDIAN or OSL_LITENDIAN.
#define | OSL_LONIBBLE(b)
#define | OSL_HINIBBLE(b)
#define | OSL_MAKEWORD(bl, bh)
#define | OSL_LOBYTE(w)
#define | OSL_HIBYTE(w)
#define | OSL_MAKEDWORD(wl, wh)
#define | OSL_LOWORD(d)
#define | OSL_HIWORD(d)
#define | OSL_NETWORD(w)
| Define macros for swapping between host and network byte order.
#define | OSL_NETDWORD(d)
#define | OSL_SWAPWORD(w)
| Define macros for swapping between byte orders.
#define | OSL_SWAPDWORD(d)

## Macro Definition Documentation

## ◆ OSL_HIBYTE

#define OSL_HIBYTE | ( |  | w | ) |

Value:
((sal_uInt8)(((sal_uInt16)(w) >> 8) & 0xFF))
sal_uInt8
unsigned char sal_uInt8
Definition types.h:44

## ◆ OSL_HINIBBLE

#define OSL_HINIBBLE | ( |  | b | ) |

Value:
((sal_uInt8)(((b) >> 4) & 0x0F))

## ◆ OSL_HIWORD

#define OSL_HIWORD | ( |  | d | ) |

Value:
((sal_uInt16)(((sal_uInt32)(d) >> 16) & 0xFFFF))

## ◆ OSL_LOBYTE

#define OSL_LOBYTE | ( |  | w | ) |

Value:
((sal_uInt8)((sal_uInt16)(w) & 0xFF))

## ◆ OSL_LONIBBLE

#define OSL_LONIBBLE | ( |  | b | ) |

Value:
((sal_uInt8)((b) & 0x0F))

## ◆ OSL_LOWORD

#define OSL_LOWORD | ( |  | d | ) |

Value:
((sal_uInt16)((sal_uInt32)(d) & 0xFFFF))

## ◆ OSL_MAKEBYTE

#define OSL_MAKEBYTE | ( |  | nl,
|  |  | nh )

Value:
((sal_uInt8)(((nl) & 0x0F) | (((nh) & 0x0F) << 4)))

Define the platform byte order as OSL_BIGENDIAN or OSL_LITENDIAN.

Define macros for byte order manipulation.

## ◆ OSL_MAKEDWORD

#define OSL_MAKEDWORD | ( |  | wl,
|  |  | wh )

Value:
((sal_uInt32)((wl) & 0xFFFF) | (((sal_uInt32)(wh) & 0xFFFF) << 16))

## ◆ OSL_MAKEWORD

#define OSL_MAKEWORD | ( |  | bl,
|  |  | bh )

Value:
((sal_uInt16)((sal_uInt16)((bl) & 0xFF) | (((sal_uInt16)(bh) & 0xFF) << 8)))

## ◆ OSL_NETDWORD

#define OSL_NETDWORD | ( |  | d | ) |

Value:
OSL_MAKEDWORD(OSL_NETWORD(OSL_HIWORD(d)),OSL_NETWORD(OSL_LOWORD(d)))
OSL_NETWORD
#define OSL_NETWORD(w)
Define macros for swapping between host and network byte order.
Definition endian.h:124
OSL_LOWORD
#define OSL_LOWORD(d)
Definition endian.h:106
OSL_HIWORD
#define OSL_HIWORD(d)
Definition endian.h:109
OSL_MAKEDWORD
#define OSL_MAKEDWORD(wl, wh)
Definition endian.h:103

## ◆ OSL_NETWORD

#define OSL_NETWORD | ( |  | w | ) |

Value:
OSL_MAKEWORD(OSL_HIBYTE(w),OSL_LOBYTE(w))
OSL_MAKEWORD
#define OSL_MAKEWORD(bl, bh)
Definition endian.h:93
OSL_LOBYTE
#define OSL_LOBYTE(w)
Definition endian.h:96
OSL_HIBYTE
#define OSL_HIBYTE(w)
Definition endian.h:99

Define macros for swapping between host and network byte order.

## ◆ OSL_SWAPDWORD

#define OSL_SWAPDWORD | ( |  | d | ) |

Value:
OSL_MAKEDWORD(OSL_SWAPWORD(OSL_HIWORD(d)),OSL_SWAPWORD(OSL_LOWORD(d)))
OSL_SWAPWORD
#define OSL_SWAPWORD(w)
Define macros for swapping between byte orders.
Definition endian.h:135

## ◆ OSL_SWAPWORD

#define OSL_SWAPWORD | ( |  | w | ) |

Value:
OSL_MAKEWORD(OSL_HIBYTE(w),OSL_LOBYTE(w))

Define macros for swapping between byte orders.